[zorg] r351975 - [jenkins] do not abort stages if only lit failed
Adrian Prantl via llvm-commits
llvm-commits at lists.llvm.org
Wed Jan 23 11:19:50 PST 2019
Author: adrian
Date: Wed Jan 23 11:19:49 2019
New Revision: 351975
URL: http://llvm.org/viewvc/llvm-project?rev=351975&view=rev
Log:
[jenkins] do not abort stages if only lit failed
Modified:
zorg/trunk/zorg/jenkins/lldb-cmake-matrix-dwarf5.sh
zorg/trunk/zorg/jenkins/lldb-cmake-matrix-stage2.sh
Modified: zorg/trunk/zorg/jenkins/lldb-cmake-matrix-dwarf5.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/jenkins/lldb-cmake-matrix-dwarf5.sh?rev=351975&r1=351974&r2=351975&view=diff
==============================================================================
--- zorg/trunk/zorg/jenkins/lldb-cmake-matrix-dwarf5.sh (original)
+++ zorg/trunk/zorg/jenkins/lldb-cmake-matrix-dwarf5.sh Wed Jan 23 11:19:49 2019
@@ -112,7 +112,9 @@ tar zcf "$RESULTS/test_logs.tgz" -C "${L
if [ $EXIT_STATUS -ne 0 ]; then
echo "CHECK-LLDB Failed!\n"
- exit 1
+ # Exit with zero if only LIT failed.
+ # The junit plugin will turn the build yellow.
+ # exit 1
fi
# Delete directories that would get deleted first thing by the next build anyway.
Modified: zorg/trunk/zorg/jenkins/lldb-cmake-matrix-stage2.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/jenkins/lldb-cmake-matrix-stage2.sh?rev=351975&r1=351974&r2=351975&view=diff
==============================================================================
--- zorg/trunk/zorg/jenkins/lldb-cmake-matrix-stage2.sh (original)
+++ zorg/trunk/zorg/jenkins/lldb-cmake-matrix-stage2.sh Wed Jan 23 11:19:49 2019
@@ -135,7 +135,9 @@ tar zcf "$RESULTS/test_logs.tgz" -C "${L
if [ $EXIT_STATUS -ne 0 ]; then
echo "CHECK-LLDB Failed!\n"
- exit 1
+ # Exit with zero if only LIT failed.
+ # The junit plugin will turn the build yellow.
+ # exit 1
fi
# Delete directories that would get deleted first thing by the next build anyway.
More information about the llvm-commits
mailing list